@import url("https://fonts.googleapis.com/css?family=Work+Sans:400,600");

* {
  margin: 0;
  padding: 0;
}

body {
  cursor: crosshair;
  background-color: #0a1930;
  height: 200vh;
  overflow-x: hidden;

  scrollbar-width: none;
}

/* GLOBALS */
li {
  list-style: none;
}

/*INTRO */

.intro {
  height: 150vh;
  display: grid;
  grid-template-rows: 15fr 80fr;
  grid-template-areas:
    "top"
    "mid";
}

.container {
  width: 80%;
  margin: 0 auto;
}

header {
  /* background: #6ca6f1; */
  margin-bottom: 7.5%;
}

header::after {
  content: "";
  display: table;
  clear: both;
}

.logo {
  float: left;
  padding: 10px 0;
}

nav {
  float: right;
  font-weight: 800;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  display: inline-block;
  margin-left: 70px;
  padding-top: 23px;

  position: relative;
}

nav a {
  color: grey;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 14px;
}

nav a:hover {
  color: white;
}

nav a::before {
  content: "";
  display: block;
  height: 5px;
  background-color: #e63462;

  position: absolute;
  top: 0;
  width: 0%;

  transition: all ease-in-out 250ms;
}

nav a:hover::before {
  width: 100%;
}

.center {
  width: 80%;
  translate: 25%;
}

/* PROJECTS */

.projects {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}

.list_projects {
  width: 80%;
}

.project_item {
  margin-top: 20%;
}

* {
  box-sizing: inherit;
}

body {
  margin: 0px;
  width: 100%;
  min-height: 100%;
  overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
  background-color: var(--navy);
  color: var(--slate);
  font-family: var(--font-sans);
  font-size: var(--fz-xl);
  line-height: 1.3;
}

html {
  box-sizing: border-box;
  width: 100%;
  scroll-behavior: smooth;
}

:root {
  --navy: #0a192f;
  --light-navy: #112240;
  --lightest-navy: #233554;
  --navy-shadow: rgba(2, 12, 27, 0.7);
  --dark-slate: #495670;
  --slate: #8892b0;
  --light-slate: #a8b2d1;
  --lightest-slate: #ccd6f6;
  --green: #e63462;
  --font-sans: "Calibre", "Inter", "San Francisco", "SF Pro Text", -apple-system,
    system-ui, sans-serif;
  --font-mono: "SF Mono", "Fira Code", "Fira Mono", "Roboto Mono", monospace;
  --fz-xs: 13px;
  --fz-lg: 18px;
  --fz-xl: 20px;
  --border-radius: 4px;
  --transition: all 0.25s cubic-bezier(0.645, 0.045, 0.355, 1);
}

*,
:before,
:after {
  box-sizing: inherit;
}

:selection {
  background-color: var(--lightest-navy);
  color: var(--lightest-slate);
}

:-webkit-scrollbar {
  width: 12px;
}

:-webkit-scrollbar-thumb {
  background-color: var(--dark-slate);
  border: 3px solid var(--navy);
  border-radius: 10px;
}

:-webkit-scrollbar-track {
  background: var(--navy);
}

.gvznfB {
  position: relative;
  display: grid;
  gap: 10px;
  grid-template-columns: repeat(12, 1fr);
  -webkit-box-align: center;
  align-items: center;
}

.gvznfB:not(:last-of-type) {
  margin-bottom: 100px;
}

.project-image {
  box-shadow: 0 10px 30px -15px var(--navy-shadow);
  transition: var(--transition);
  grid-area: 1 / 6 / -1 / -1;
  position: relative;
  z-index: 1;
}

.gvznfB:nth-of-type(2n + 1) .project-image {
  grid-column: 1 / 8;
}

.project-image:hover {
  box-shadow: 0 20px 30px -15px var(--navy-shadow);
}

.project-content {
  position: relative;
  grid-area: 1 / 1 / -1 / 7;
}

.gvznfB:nth-of-type(2n + 1) .project-content {
  grid-column: 7 / -1;
  text-align: right;
}

a {
  display: inline-block;
  text-decoration: none;
  text-decoration-skip-ink: auto;
  color: inherit;
  position: relative;
  transition: var(--transition);
}

a:hover {
  color: var(--green);
}

a {
  position: relative;
  z-index: 1;
}

.project-image a {
  width: 100%;
  height: 100%;
  background-color: var(--green);
  border-radius: var(--border-radius);
  vertical-align: middle;
}

.project-image a:hover {
  background: transparent;
  outline: 0px;
}

.gvznfB .project-image a::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  inset: 0px;
  z-index: 3;
  transition: var(--transition);
  background-color: var(--navy);
  mix-blend-mode: screen;
}

.gvznfB .project-image a:hover::before,
.gvznfB .project-image a:focus::before,
.project-image a:hover .img,
.gvznfB .project-image a:focus .img {
  background: transparent;
  filter: none;
}

.gvznfB .project-image a:hover::before,
.gvznfB .project-image a:focus::before,
.gvznfB .project-image a:hover .img,
.gvznfB .project-image a:focus .img {
  background: transparent;
  filter: none;
}

h3 {
  margin: 0px 0px 10px;
  font-weight: 600;
  color: var(--lightest-slate);
  line-height: 1.1;
}

.project-title {
  color: var(--lightest-slate);
  font-size: clamp(24px, 5vw, 28px);
}

@media (min-width: 768px) {
  .project-title {
    margin: 0px 0px 20px;
  }
}

.project-description {
  box-shadow: 0 10px 30px -15px var(--navy-shadow);
  transition: var(--transition);
  position: relative;
  z-index: 2;
  padding: 25px;
  border-radius: var(--border-radius);
  background-color: var(--light-navy);
  color: var(--light-slate);
  font-size: var(--fz-lg);
}

.gvznfB .project-description:hover {
  box-shadow: 0 20px 30px -15px var(--navy-shadow);
}

.project-tech-list {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  z-index: 2;
  margin: 25px 0px 10px;
  padding: 0px;
  list-style: none;
}

.gvznfB:nth-of-type(2n + 1) .project-tech-list {
  -webkit-box-pack: end;
  justify-content: flex-end;
}

.project-links {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  position: relative;
  margin-top: 10px;
  margin-left: -10px;
  color: var(--lightest-slate);
}

.gvznfB:nth-of-type(2n + 1) .project-links {
  -webkit-box-pack: end;
  justify-content: flex-end;
  margin-left: 0px;
  margin-right: -10px;
}

p {
  margin: 0px 0px 15px;
}

p:last-child,
p:last-of-type {
  margin: 0px;
}

.project-tech-list li {
  margin: 0px 20px 5px 0px;
  color: var(--light-slate);
  font-family: var(--font-mono);
  font-size: var(--fz-xs);
  white-space: nowrap;
}

.gvznfB:nth-of-type(2n + 1) .project-tech-list li {
  margin: 0px 0px 5px 20px;
}

.project-links a {
  display: flex;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  align-items: center;
  padding: 10px;
}

.gatsby-image-wrapper {
  width: 100%;
  max-width: 100%;
  vertical-align: middle;
}

.gatsby-image-wrapper {
  position: relative;
  overflow: hidden;
}

.gatsby-image-wrapper-constrained {
  display: inline-block;
}

.project-image .img {
  border-radius: var(--border-radius);
  mix-blend-mode: multiply;
  filter: grayscale(100%) contrast(1) brightness(90%);
}

img {
  width: 100%;
  max-width: 100%;
  vertical-align: middle;
}

img[alt=""] {
  filter: blur(5px);
}

.gatsby-image-wrapper img {
  bottom: 0;
  height: 100%;
  left: 0;
  margin: 0;
  max-width: none;
  padding: 0;
  position: absolute;
  right: 0;
  top: 0;
  width: 100%;
  object-fit: cover;
}

p > a {
  display: inline-block;
  position: relative;
  color: var(--green);
  transition: var(--transition);
}

.project-description a {
  display: inline-block;
  position: relative;
  color: var(--green);
  transition: var(--transition);
}

p > a::after {
  content: "";
  display: block;
  width: 0px;
  height: 1px;
  position: relative;
  bottom: 0.37em;
  background-color: var(--green);
  opacity: 0.5;
}

@media (prefers-reduced-motion: no-preference) {
  p > a::after {
    transition: var(--transition);
  }
}

.gvznfB .project-description a::after {
  content: "";
  display: block;
  width: 0px;
  height: 1px;
  position: relative;
  bottom: 0.37em;
  background-color: var(--green);
  opacity: 0.5;
}

@media (prefers-reduced-motion: no-preference) {
  .gvznfB .project-description a::after {
    transition: var(--transition);
  }
}

p > a:hover {
  color: var(--green);
  outline: 0px;
}

.gvznfB .project-description a:hover {
  color: var(--green);
  outline: 0px;
}

p > a:hover::after,
p > a:focus-visible::after {
  width: 100%;
}

.gvznfB .project-description a:hover::after,
.gvznfB .project-description a:focus-visible::after {
  width: 100%;
}

p > a:hover,
p > a:focus-visible {
  color: var(--green);
  outline: 0px;
}

.gvznfB .project-description a:hover,
.gvznfB .project-description a:focus-visible {
  color: var(--green);
  outline: 0px;
}

svg {
  width: 100%;
  max-width: 100%;
  vertical-align: middle;
}

svg {
  width: 100%;
  height: 100%;
  fill: currentcolor;
  vertical-align: middle;
}

svg.feather {
  fill: none;
}

.project-links a svg {
  width: 20px;
  height: 20px;
}

.project-links a.external svg {
  width: 22px;
  height: 22px;
  margin-top: -4px;
}

.gatsby-image-wrapper [data-main-image] {
  opacity: 0;
  transform: translateZ(0);
  transition: opacity 0.25s linear;
  will-change: opacity;
}

/* These were inline style tags. Uses id+class to override almost everything */
#style-mIEjP.style-mIEjP {
  visibility: visible;
  opacity: 1;
  transform: matrix3d(1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1);
  transition: opacity 0.5s cubic-bezier(0.645, 0.045, 0.355, 1) 0s,
    transform 0.5s cubic-bezier(0.645, 0.045, 0.355, 1) 0s;
}
#style-8KhcR.style-8KhcR {
  max-width: 700px;
  display: block;
}
#style-LBALv.style-LBALv {
  max-width: 100%;
  display: block;
  position: static;
}
#style-anMpx.style-anMpx {
  opacity: 0;
  transition: opacity 500ms linear 0s;
  object-fit: cover;
}
#style-ctYtM.style-ctYtM {
  object-fit: cover;
  opacity: 1;
}
